#include <QtWidgets/QtWidgets>
class Filler : public QWidget
{
public:
    void paintEvent(QPaintEvent *) override  {
        QSize size = geometry().size();
        qDebug() << "paint event" << size;
        
        QPainter p(this);
        p.fillRect(QRect(QPoint(0,0), size), QColor(30, 100, 40));
    }
};

int main(int argc, char **argv) {

    QApplication app(argc, argv);

    Filler filler;
    filler.resize(320, 300);
    filler.show();

    return app.exec();
}
